Add Twilio
curl --request POST \
--url https://api.toingg.com/api/v3/add_twilio \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"twilioAccountSid": "<string>",
"twilioAuthToken": "<string>",
"twilioPhoneNumber": "<string>",
"voiceProvider": "TWILIO"
}
'import requests
url = "https://api.toingg.com/api/v3/add_twilio"
payload = {
"twilioAccountSid": "<string>",
"twilioAuthToken": "<string>",
"twilioPhoneNumber": "<string>",
"voiceProvider": "TWILIO"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
twilioAccountSid: '<string>',
twilioAuthToken: '<string>',
twilioPhoneNumber: '<string>',
voiceProvider: 'TWILIO'
})
};
fetch('https://api.toingg.com/api/v3/add_twilio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Contact Center
Add Contact Center Details
POST
/
add_twilio
Add Twilio
Overview
The “Add Contact Center Details” endpoint allows users to integrate either Twilio or Plivio contact center details into their Toingg account. By sending a POST request to the/add_twilio endpoint, users can add configurations such as account SID, authentication token, and phone number for Twilio, or equivalent details for Plivio. This functionality is crucial for setting up and managing contact center integrations, ensuring that communication capabilities are efficient and aligned with user needs. The endpoint supports seamless integration to enhance contact center operations and align with evolving business requirements.
Example cURL Request
curl -X 'POST' \
'https://api.toingg.com/api/v3/add_twilio' \
-H 'accept: application/json' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
-H 'Content-Type: application/json' \
-d '{
"twilioAccountSid": "string",
"twilioAuthToken": "string",
"twilioPhoneNumber": "string",
"voiceProvider": "TWILIO"
}'
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
Successful Response
⌘I